Class | YARD::Tags::DefaultFactory
In: | lib/yard/tags/default_factory.rb
Parent: | Object

### Methods

parse_tag parse_tag_with_name parse_tag_with_options parse_tag_with_title_and_text parse_tag_with_types parse_tag_with_types_and_name parse_tag_with_types_and_title parse_tag_with_types_name_and_default

### Constants

TYPELIST_OPENING_CHARS | = | '[({<'
TYPELIST_CLOSING_CHARS | = | '>})]'

### Public Instance methods

parse_tag(tag_name, text)

Parses tag text and creates a new tag with descriptive text

@param tag_name the name of the tag to parse @param [String] text the raw tag text @return [Tag] a tag object with the tag_name and text values filled

parse_tag_with_name(tag_name, text)

Parses tag text and creates a new tag with a key name and descriptive text

@param tag_name the name of the tag to parse @param [String] text the raw tag text @return [Tag] a tag object with the tag_name, name and text values filled

parse_tag_with_options(tag_name, text)
parse_tag_with_title_and_text(tag_name, text)
parse_tag_with_types(tag_name, text)

Parses tag text and creates a new tag with formally declared types and descriptive text

@param tag_name the name of the tag to parse @param [String] text the raw tag text @return [Tag] a tag object with the tag_name, types and text values filled

parse_tag_with_types_and_name(tag_name, text)

Parses tag text and creates a new tag with formally declared types, a key name and descriptive text

@param tag_name the name of the tag to parse @param [String] text the raw tag text @return [Tag] a tag object with the tag_name, name, types and text values filled

parse_tag_with_types_and_title(tag_name, text)

Parses tag text and creates a new tag with formally declared types, a title on the first line and descriptive text

@param tag_name the name of the tag to parse @param [String] text the raw tag text @return [Tag] a tag object with the tag_name, name, types and text values filled

parse_tag_with_types_name_and_default(tag_name, text)

[Validate]